Webhooks

View as Markdown

List Webhooks

GET
/agent/v0/webhooks

Query Parameters

limit?integer

Limit of number of items returned.

page_token?string

Page token for pagination.

ascending?boolean

Sort in ascending temporal order.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X GET "https://api.agentry.to/agent/v0/webhooks" \  -H "Authorization: string"
{
  "count": 0,
  "limit": 0,
  "next_page_token": "string",
  "webhooks": [
    {
      "webhook_id": "string",
      "url": "string",
      "event_types": [
        "message.received"
      ],
      "pod_ids": [
        "string"
      ],
      "inbox_ids": [
        "string"
      ],
      "secret": "string",
      "enabled": true,
      "updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "client_id": "string"
    }
  ]
}

Create Webhook

POST
/agent/v0/webhooks

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.agentry.to/agent/v0/webhooks" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "url": "string",    "event_types": [      "message.received"    ]  }'
{
  "webhook_id": "string",
  "url": "string",
  "event_types": [
    "message.received"
  ],
  "pod_ids": [
    "string"
  ],
  "inbox_ids": [
    "string"
  ],
  "secret": "string",
  "enabled": true,
  "updated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "client_id": "string"
}
{
  "name": "string",
  "errors": null
}

Get Webhook

GET
/agent/v0/webhooks/{webhook_id}

Path Parameters

webhook_id*string

ID of webhook.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/webhooks/string" \  -H "Authorization: string"
{
  "webhook_id": "string",
  "url": "string",
  "event_types": [
    "message.received"
  ],
  "pod_ids": [
    "string"
  ],
  "inbox_ids": [
    "string"
  ],
  "secret": "string",
  "enabled": true,
  "updated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "client_id": "string"
}
{
  "name": "string",
  "message": "string"
}

Update Webhook

PATCH
/agent/v0/webhooks/{webhook_id}

Path Parameters

webhook_id*string

ID of webhook.

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://api.agentry.to/agent/v0/webhooks/string" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "webhook_id": "string",
  "url": "string",
  "event_types": [
    "message.received"
  ],
  "pod_ids": [
    "string"
  ],
  "inbox_ids": [
    "string"
  ],
  "secret": "string",
  "enabled": true,
  "updated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "client_id": "string"
}
{
  "name": "string",
  "errors": null
}
{
  "name": "string",
  "message": "string"
}

Delete Webhook

DELETE
/agent/v0/webhooks/{webhook_id}

Path Parameters

webhook_id*string

ID of webhook.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X DELETE "https://api.agentry.to/agent/v0/webhooks/string" \  -H "Authorization: string"
Empty
{
  "name": "string",
  "message": "string"
}